Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Status, PNR, route, total paid and refund state. Scope search.
search
cURL
curl --request GET \ --url https://api.flyskye.ai/v1/bookings/{ref} \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.flyskye.ai/v1/bookings/{ref}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.flyskye.ai/v1/bookings/{ref}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "bookingId": "<string>", "status": "confirmed", "pnr": "ABC123", "route": { "origin": "<string>", "destination": "<string>", "departDate": "2023-12-25", "returnDate": "2023-12-25" }, "total": { "amount": 123, "currency": "<string>" }, "refund": { "state": "refunded", "amount": 123, "currency": "<string>" } }
{ "error": { "code": "invalid_request", "message": "departDate cannot be in the past", "field": "departDate" } }
An access token (sat_...) from POST /token.
sat_...
POST /token
The Skye booking id or the PNR.
The booking.
"confirmed"
"ABC123"
Show child attributes
Set after a cancellation.